Skip Menu |
 

This queue is for tickets about the Google-Voice CPAN distribution.

Report information
The Basics
Id: 72855
Status: open
Priority: 0/
Queue: Google-Voice

People
Owner: Nobody in particular
Requestors: joeorr4 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Google-Voice-0.05 cannot log in to google account if 2 step verification is enabled
Date: Wed, 30 Nov 2011 13:25:23 -0800
To: bug-Google-Voice [...] rt.cpan.org
From: Joe Orr <joeorr4 [...] gmail.com>
Download (untitled) / with headers
text/plain 642b
After enabling 2 step verification in my google account, I can no longer use Google::Voice to send automated texts. Application-specific passwords do not work either. Error: Can't call method "send_sms" on an undefined value at ../google-voice/test.pl line 12. Code: #!/usr/bin/perl -w use strict; use Google::Voice; my $number = '5551234567'; my $message = 'test'; # Login my $account = Google::Voice->new->login('user', 'pass'); # Send sms $account->send_sms($number => "$message"); #---- LINE 12 perl -v: This is perl 5, version 12, subversion 4 (v5.12.4) built for i686-linux-gnu-thread-multi-64int Google::Voice version: 0.05
Subject: Re: [rt.cpan.org #72855] Google-Voice-0.05 cannot log in to google account if 2 step verification is enabled
Date: Wed, 30 Nov 2011 13:28:29 -0800
To: bug-Google-Voice [...] rt.cpan.org
From: Glen <glen [...] empireenterprises.com>
Download (untitled) / with headers
text/plain 1.4k
I don't have any plans to support 2 step verification; if you would like to implement, however, feel free make pull request on the git repo @ https://github.com/tempire/perl-google-voice/. Please be sure to add the appropriate tests. On Wed, Nov 30, 2011 at 1:25 PM, Joe Orr via RT <bug-Google-Voice@rt.cpan.org> wrote: Show quoted text
> Wed Nov 30 16:25:32 2011: Request 72855 was acted upon. > Transaction: Ticket created by joeorr4@gmail.com >       Queue: Google-Voice >     Subject: Google-Voice-0.05 cannot log in to google account if 2 step verification is enabled >   Broken in: (no value) >    Severity: (no value) >       Owner: Nobody >  Requestors: joeorr4@gmail.com >      Status: new >  Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=72855 > > > > After enabling 2 step verification in my google account, I can no longer > use Google::Voice to send automated texts. > Application-specific passwords do not work either. > > Error: Can't call method "send_sms" on an undefined value at > ../google-voice/test.pl line 12. > > > Code: > #!/usr/bin/perl -w > use strict; > use Google::Voice; > > my $number  = '5551234567'; > my $message = 'test'; > > # Login > my $account = Google::Voice->new->login('user', 'pass'); > > # Send sms > $account->send_sms($number => "$message"); #---- LINE 12 > > > perl -v: This is perl 5, version 12, subversion 4 (v5.12.4) built for > i686-linux-gnu-thread-multi-64int > > > Google::Voice version: 0.05 >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.